Subject: Re: [dhcwg] Publication has been requested for draft-ietf-dhc-dhcpv6-yang-22

From: [email-masked]
Date: Thu, 3 Feb 2022 16:34:39 +0100

Hi Tom,

Thank you for your comments, and apologies for the delayed reply. Please see inline below.

Ian

> On 17. Dec 2021, at 13:11, t petch <[email-masked]> wrote:
> 
> On 16/12/2021 12:48, t petch wrote:
>> Belatedly getting to review -23
>> 
>> Why is it prefix delegation almost everywhere but prefix-del in the
>> client module?  Worth an explanatory paragraph IMHO.
>> 
>> IANA dhcpv6 parameters is  a sort of reference in the YANG but not for
>> the I-D
>> 
>> I can see what the feature statements do for client duid in the client
>> module but am uncertain whether or not that is what is wanted.
>> Precedence of operators is
>> not
>> and
>> or
>> so interface duid is present for
>> temp-addr and anon-profile
>> or
>> prefix-del
>> or
>> non-temp-addr
>> I think but as my Boolean arithmetic stopped when I found you only ever
>> needed non-equivalence to design any logic ever I have never been too
>> sure of mixed 'and' 'or' without brackets.
>> 
> 
> I have now been through -23 and -24.  I note the changes to client duid and still have doubts about the if-feature Boolean logic but think that this is not helped by the related text being bad.  It seems to come from a different planet.

[if - 

The logic for client-duid has been changed to:

      if-feature "(non-temp-addr or prefix-delegation " +               
        "or temp-addr) and not anon-profile”;

Description has been rewritten as follows:

      client-duid/interface-duid: The DUID (DHCP Unique Identifier) is   
      used to identify the client to servers and relays.  A DUID        
      consists of a two-octet type field and an arbitrary length (1-128 
      octets) content field.  Currently there are four defined types of 
      DUIDs in [RFC8415] and [RFC6355].  The DUID may be configured         
      using the format for one of these types, or using the             
      'unstructured' format.  The DUID type definitions are imported    
      from the 'ietf-dhcpv6-common.yang' module.  [IANA-HARDWARE-TYPES] 
      and [IANA-PEN] are referenced for the relevant DUID types.  A DUID 
      only needs to be configured if the client is requesting addresses 
      and/or prefixes from the server.  Presence of the 'client-duid' or
      'interface-duid' leaves is conditional on at least one of the         
      'non-temp-addr', 'temp-addr', or 'prefix-delegation' features         
      being enabled.  Additionally, if the 'anon-profile' [RFC7844]         
      feature is enabled, a unique DUID can be configured per DHCP          
      enabled interface using the 'interface-duid' leaf, otherwise there
      is a global 'client-duid' leaf.  

]

> 
> prefix-delegation has been a feature for ages.  -23 changed he identifier to prefix-del but for client only.  Same description, same reference.  Why?

[if - Reverted to prefix-delegation throughout.]

> 
> the text in 3.3 talks of prefix leasing; everywhere else it is prefix delegation.  What is the difference?

[if - Leasing has been replaced by delegation.]

> 
> the text in 3.3 talks of address leasing.  The YANG module refers to (non-)temporary address allocation.  What is the relationship between these two terms?

[if - leasing no longer used here.]

> 
> I commented before that dhcpv6 parameters should be an I-D reference; I see that it was and think that it still should be

[if - Added. I’ve also added a reference to the DHCP authentication option namespaces registry which is referenced by the auth-option-group.]

> 
> Tom Petch
> 
> 
>> I know - telechat day and I am still going.
>> 
>> Tom Petch
>> 
>> 
>> 
>> On 16/09/2021 17:22, Timothy Winters via Datatracker wrote:
>>> Timothy Winters has requested publication of
>>> draft-ietf-dhc-dhcpv6-yang-22 as Proposed Standard on behalf of the
>>> DHC working group.
>>> 
>>> Please verify the document's state at
>>> https://datatracker.ietf.org/doc/draft-ietf-dhc-dhcpv6-yang/
>>> 
>>> 
>>> _______________________________________________
>>> dhcwg mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/dhcwg
>>> .
>>> 
> 
> _______________________________________________
> dhcwg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dhcwg